Subject: Re: bug#72489: 29.4.50; forward-comment not working as expected in toml-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2024 12:31:00 +0300

> From: Jostein Kjønigsen <[email-masked]>
> Date: Thu, 15 Aug 2024 12:10:46 +0200
> Cc: Eli Zaretskii <[email-masked]>,
>  "Mr. Jostein Kjønigsen" <[email-masked]>,
>  [email-masked]
> 
>  On 7 Aug 2024, at 03:02, Yang Yingchao <[email-masked]> wrote:
> 
>  I think the error in your case also proves the misbehavior of forward-comment, and it breaks
>  `uncomment-region' in my case. And with the suggested fix applied, and then recompile/evaluate,
>  `uncomment-region' works as expected.
> 
>  Yang: Have you loaded/compiled/provided the toml typescript-grammar before using this mode?
> 
>  The *-ts-modes depends on external grammar in order to properly initialize the major-mode and
>  provide correct highlighting and indentation.
> 
>  I only have the required shared libraries (libtree-sitter.so & libtree-sitter-toml.so) installed. This should
>  be enough, right? At least `treesit-explore-mode' works fine in toml buffer.
> 
>  Regards,
> 
>  -- *Yang Yingchao*
> 
> I've recompiled from scratch and confirm this indeed fixes all issues mentioned.
> 
> Eli: Feel free to apply the supplied patch. I still don't have commit access :)
> 
> https://github.com/emacs-mirror/emacs/blob/e993e479c324bb720bca3f1cf194e55e32f01ccd/lisp/textmodes/toml-ts-mode.el#L53
> 
> 
>  ```
>  -    (modify-syntax-entry ?\n "> b"  table)
>  +    (modify-syntax-entry ?\n ">"  table)
>  ```

Thanks, installed on the emacs-30 branch, and closing the bug.